| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::dnn::KeypointsModel Class Reference
Deep Neural Network module

This class represents high-level API for keypoints models. More...

`#include <opencv2/dnn/dnn.hpp>`

Collaboration diagram for cv::dnn::KeypointsModel:

## Public Member Functions
| KeypointsModel (const Net &network)
| Create model from deep learning network.
| KeypointsModel (CV_WRAP_FILE_PATH const String &model, CV_WRAP_FILE_PATH const String &config="")
| Create keypoints model from network represented in one of the supported formats. An order of `model` and `config` arguments does not matter.
std::vector< Point2f > | estimate (InputArray frame, float thresh=0.5)
| Given the `input` frame, create input blob, run net.
Public Member Functions inherited from cv::dnn::Model
| Model ()
| Model (const Model &)=default
| Model (const Net &network)
| Create model from deep learning network.
| Model (CV_WRAP_FILE_PATH const String &model, CV_WRAP_FILE_PATH const String &config="")
| Create model from deep learning network represented in one of the supported formats. An order of `model` and `config` arguments does not matter.
| Model (Model &&)=default
Model & | enableWinograd (bool useWinograd)
Impl * | getImpl () const
Impl & | getImplRef () const
Net & | getNetwork_ ()
Net & | getNetwork_ () const
| operator Net & () const
Model & | operator= (const Model &)=default
Model & | operator= (Model &&)=default
void | predict (InputArray frame, OutputArrayOfArrays outs) const
| Given the `input` frame, create input blob, run net and return the output `blobs`.
Model & | setInputCrop (bool crop)
| Set flag crop for frame.
Model & | setInputMean (const Scalar &mean)
| Set mean value for frame.
void | setInputParams (double scale=1.0, const Size &size=Size(), const Scalar &mean=Scalar(), bool swapRB=false, bool crop=false)
| Set preprocessing parameters for frame.
Model & | setInputScale (const Scalar &scale)
| Set scalefactor value for frame.
Model & | setInputSize (const Size &size)
| Set input size for frame.
Model & | setInputSize (int width, int height)
Model & | setInputSwapRB (bool swapRB)
| Set flag swapRB for frame.
Model & | setOutputNames (const std::vector< String > &outNames)
| Set output names for frame.
Model & | setPreferableBackend (dnn::Backend backendId)
Model & | setPreferableTarget (dnn::Target targetId)

## Additional Inherited Members
Protected Attributes inherited from cv::dnn::Model
Ptr< Impl > | impl

## Detailed Description

This class represents high-level API for keypoints models.

KeypointsModel allows to set params for preprocessing input image. KeypointsModel creates net from file with trained weights and config, sets preprocessing input, runs forward pass and returns the x and y coordinates of each detected keypoint

## Constructor & Destructor Documentation

## ◆ KeypointsModel() [1/2]

cv::dnn::KeypointsModel::KeypointsModel | ( | CV_WRAP_FILE_PATH const String & | model,
|  | CV_WRAP_FILE_PATH const String & | config = "" )

Python:
| cv.dnn.KeypointsModel( | model[, config] | ) -> | <dnn_KeypointsModel object>
| cv.dnn.KeypointsModel( | network | ) -> | <dnn_KeypointsModel object>

Create keypoints model from network represented in one of the supported formats. An order of `model` and `config` arguments does not matter.

Parameters

  [in] | model | Binary file contains trained weights.
  [in] | config | Text file contains network configuration.

## ◆ KeypointsModel() [2/2]

cv::dnn::KeypointsModel::KeypointsModel | ( | const Net & | network | ) |

Python:
| cv.dnn.KeypointsModel( | model[, config] | ) -> | <dnn_KeypointsModel object>
| cv.dnn.KeypointsModel( | network | ) -> | <dnn_KeypointsModel object>

Create model from deep learning network.

Parameters

  [in] | network | Net object.

## Member Function Documentation

## ◆ estimate()

std::vector< Point2f > cv::dnn::KeypointsModel::estimate | ( | InputArray | frame,
|  | float | thresh = 0.5 )

Python:
| cv.dnn.KeypointsModel.estimate( | frame[, thresh] | ) -> | retval

Given the `input` frame, create input blob, run net.

Parameters

  [in] | frame | The input image.
  | thresh | minimum confidence threshold to select a keypoint

Returns
  a vector holding the x and y coordinates of each detected keypoint

The documentation for this class was generated from the following file:

- opencv2/dnn/dnn.hpp